<div class="container">
    <h2>
        <span>Buat Data Payment</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px">
            <div class="row">
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="ui-g-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_tgldue">Tanggal Jatuh Tempo</label>
                                <p-calendar inputId="field_tgldue" name="field_tgldue" [(ngModel)]="dtDue"
                                    dateFormat="dd-mm-yy" [monthNavigator]="true" [yearNavigator]="true"
                                    yearRange="2000:2999" appendTo="body" [disabled]="isview" [showIcon]="true">
                                </p-calendar>
                                <!-- <p-calendar [showIcon]="true" [(ngModel)]="dtDue" [disabled]='isview'></p-calendar> -->
                            </div>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <label class="form-control-label" for="field_total">No Refferensi</label>
                        <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="invNO" />
                        <button type="button" [routerLink]="[
                '/',
                { outlets: { popup: 'tanda-terima-as-lov' } }
              ]" replaceUrl="true" label="cari" class="btn btn-danger btn-block">
                            <span>Cari Tanda Terima
                                <i class="fa fa-search" aria-hidden="true"></i></span>
                        </button>
                    </div>
                    <div class="ui-g-12" *ngIf="pay.paytype === 8 && currentAccount.idInternal === 'PBL'">
                        <label class="form-control-label" for="field_nopo">Nomor PO</label>
                        <input type="text" class="form-control" name="nopo" id="field_nopo" [(ngModel)]="nopo" />
                        <!-- <div class="ui-g-6">
                            <button type="button" [routerLink]="['/', { outlets: { popup: 'po-as-lov'  } }]"
                                replaceUrl="true" label="cari" class="btn btn-success btn-block">
                                <span>Cari Nomor PO</span>
                            </button>
                        </div> -->
                        <div class="ui-g-6">
                            <button type="button" (click)="savenopo()" class="btn btn-primary btn-block">
                                <span>Save Nomor PO</span>
                            </button>
                        </div>
                    </div>
                    <div class="ui-g-6">
                        <label class="form-control-label" for="field_total">No Invoice</label>
                        <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="invoiceNumber" />
                    </div>
                    <div class="ui-g-6">
                        <label class="form-control-label" for="field_total">Nomor Faktur Pajak</label>
                        <input type="text" class="form-control" name="ppn" id="field_ppn" [(ngModel)]="ptaxinvno" />
                    </div>

                    <div class="ui-g-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Mata Uang</label>
                            <p-autoComplete [(ngModel)]="newValuta" [suggestions]="filteredValuta"
                                (completeMethod)="filterValutaSingle($event)" [size]="34" name="valuta" [minLength]="1"
                                field="valutacode" placeholder="pilih atau masukan mata uang"
                                (onSelect)="selectValuta(true)" [dropdown]="true" tabindex="7"></p-autoComplete>
                        </div>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]="isview">
                            </p-autoComplete>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                                (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]="isview">
                            </p-autoComplete>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <!-- <div class="ui-g-4">
            <button type="button" [routerLink]="['/', { outlets: { popup: 'po-as-lov'  } }]"
                replaceUrl="true" label="cari" class="btn btn-danger btn-block"  [disabled]="isview">
                <span>Cari Nomor PO</span>
            </button>
        </div> -->
        <div class="ui-g-12">
            <!-- <p-dataTable [value]="payItems" [editable]="true" [responsive]="true">
                <header>

                </header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invno}}
                    </ng-template>
                </p-column>
                <p-column header="Total PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.totalpay}}
                    </ng-template>
                </p-column>
            </p-dataTable> -->
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan Deskripsi</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <textarea [(ngModel)]="pay.note" rows="6" cols="30" pInputTextarea autoResize="autoResize"
                        style="width: 200px" [disabled]="isview"></textarea>
                </div>
            </div>

            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan Suplier</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <textarea [(ngModel)]="pay.notespl" rows="6" cols="30" pInputTextarea autoResize="autoResize"
                        style="width: 200px" [disabled]="isview"></textarea>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Group</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <!-- <select class="form-control" id="bulan" name="selectBulan" [(ngModel)]="selectBulan"
                                style="width: 100%;" (ngModelChange)="onChangeDate($event)">
                                <option *ngFor="let produk of listBrand" [value]="produk.value">{{produk.label}}</option>
                    </select> -->
                    <p-multiSelect [options]="listBrand" [(ngModel)]="brandSelect" [style]="{'width':'100%'}"
                        defaultLabel="Pilih Group" [panelStyle]="{'width':'100%'}" [resetFilterOnHide]="true"
                        [showClear]="true" (ngModelChange)="onChangeDate()"></p-multiSelect>
                </div>
            </div>
            <div class="ui-g-4" *ngIf="isproduk === true" [hidden]="isproduk === false">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Brand</label>
                </div>
            </div>
            <div class="ui-g-8" *ngIf="isproduk === true" [hidden]="isproduk === false">
                <div class="form-group">
                    <p-multiSelect [options]="listAPP1" [(ngModel)]="produkSelect" [style]="{'width':'100%'}"
                        defaultLabel="Pilih Brand" [panelStyle]="{'width':'100%'}" [resetFilterOnHide]="true"
                        [showClear]="true"></p-multiSelect>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Sub Total</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.subtotal"
                        [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" (blur)="countPPH()" />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">PPN</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <label>{{labelPPN}}</label>
                    <p-checkbox name="isPPNOtomatis" binary="true" [(ngModel)]="isPPNOtomatis" (click)="countPPH()">
                    </p-checkbox>

                    <label [hidden]="oldPPN < 1">{{oldPPN}} %</label>
                    <p-checkbox name="ppnOld" binary="true" [(ngModel)]="ppnOld" (click)="countPPH()"
                        [disabled]="oldPPN < 1 || isPPNOtomatis === false" [hidden]="oldPPN < 1">
                    </p-checkbox>

                    <label>Pembualatan Atas</label>
                    <p-checkbox name="isDiscPersenAtas" binary="true" [(ngModel)]="isDiscPersenAtas"
                        (click)="countPPH()">
                    </p-checkbox>

                    <label>PPN Pembualatan Bawah</label>
                    <p-checkbox name="isDiscPersenBawah" binary="true" [(ngModel)]="isDiscPersenBawah"
                        (click)="countPPH()">
                    </p-checkbox>
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.ppn"
                        [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" [disabled]="isPPNOtomatis" (blur)="countPPH()" />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Biaya Lain - Lain</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <label>Tambah ke Total</label>
                    <p-checkbox name="isPlus" binary="true" [(ngModel)]="isPlus" (click)="countPPH()">
                    </p-checkbox>

                    <label>Kurang ke Total</label>
                    <p-checkbox name="isPlus" binary="true" [(ngModel)]="isMinus" (click)="countPPH()">
                    </p-checkbox>
                    <input currencyMask class="form-control" name="total" id="field_total"
                        [(ngModel)]="pay.additionalcosts" [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" (blur)="countPPH()" />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan Biaya Lain - Lain</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input type="text" class="form-control" [(ngModel)]="pay.additionalcostsnote" style="width: 100%"
                        [disabled]="isview" />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Persentase Potongan PPH (%)</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.persen_pph"
                        [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" (blur)="countPPH()" placeholder="Persentase Potongan PPH" />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Nominal Dipotong PPH</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.sebelum_pph"
                        [options]="{
                                prefix: '',
                                thousands: ',',
                                decimal: '.',
                                precision: '2'
                                }" (blur)="countPPH()" placeholder="Nominal Dipotong PPH" />
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Total final PPH</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="ui-g-12">
                    <div class="ui-g-6">
                        <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                        <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan1"
                            (click)="countPPH()"></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{
                            lblpembualatan1
                            }}</label>
                    </div>
                    <div class="ui-g-6" *ngIf="pembulatan1 === true">
                        <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan1"
                            (click)="countPPH()"></p-checkbox>
                        <label class="form-control-label" for="field_Tipe">{{
                            lbljnspembulatan1
                            }}</label>
                    </div>
                </div>
                <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.pph" [options]="{
            prefix: '',
            thousands: ',',
            decimal: '.',
            precision: '2'
          }" (blur)="countPPH()" placeholder="total final PPH" readonly="true" />
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Catatan PPh</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <textarea [(ngModel)]="pay.notepph" rows="3" cols="30" pInputTextarea autoResize="autoResize"
                        style="width: 200px" [disabled]="isview"></textarea>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Metode Pembayaran</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <select class="form-control" id="iscn" name="iscn" [(ngModel)]="iscn" style="width: 100%;">
                        <option value="">Pilih Jenis Pembayaran</option>
                        <option value="Transfer">Transfer</option>
                        <option value="CN">CN</option>
                    </select>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Jenis Payment Voucher</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <select class="form-control" id="is_pv" name="is_pv" [(ngModel)]="is_pv" style="width: 100%;"
                        [disabled]="true">
                        <option value="">Pilih Jenis Payment</option>
                        <option value="Payment" selected>Payment</option>
                    </select>
                </div>
            </div>
            <div class="ui-g-4">
                <div class="form-group">
                    <label class="form-control-label" for="field_note">Total</label>
                </div>
            </div>
            <div class="ui-g-8">
                <div class="form-group">
                    <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.totalpay"
                        [options]="{
              prefix: '',
              thousands: ',',
              decimal: '.',
              precision: '2'
            }" [disabled]="true" />
                </div>
            </div>
        </div>
        <div class="ui-g-12">
            <div class="ui-g-6"></div>
            <div class="ui-g-12" style="margin-bottom: 50px">
                <div class="btn-group flex-btn-group-container">
                    <button pButton type="submit" label="Simpan" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="createPay()" [disabled]="isview"></button>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()"></button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px"></div>
<p-confirmDialog></p-confirmDialog>